<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.3 at Oct 27, 2017 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=${outputEncoding}" />
    <title>PMD Results</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20171027" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
            
                <div class="xleft">
        <span id="publishDate">Last Published: 2017-10-27</span>
                  &nbsp;| <span id="projectVersion">Version: ${project.version}</span>
                      </div>
            <div class="xright">        
            
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
            
                                      <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
            
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section"><h2>PMD Results<a name="PMD_Results"></a></h2><p>The following document contains the results of <a class="externalLink" href="http://pmd.sourceforge.net/">PMD</a> 5.0.5.</p></div><div class="section"><h2>Files<a name="Files"></a></h2><div class="section"><h3>org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConfigurePortDialog.java<a name="orgeclipsepapyrusdesignercomponentstransformationuidialogsConfigurePortDialog.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConfigurePortDialog.html#L187">187</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConfigurePortDialog.html#L188">188</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConfigurePortDialog.html#L271">271</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConfigurePortDialog.html#L271">271</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConfigurePortDialog.html#L339">339</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConfigurePortDialog.html#L339">339</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConnectorSelectionDialog.java<a name="orgeclipsepapyrusdesignercomponentstransformationuidialogsConnectorSelectionDialog.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConnectorSelectionDialog.html#L187">187</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConnectorSelectionDialog.html#L187">187</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConnectorSelectionDialog.html#L258">258</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConnectorSelectionDialog.html#L276">276</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConnectorSelectionDialog.html#L327">327</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConnectorSelectionDialog.html#L347">347</a></td></tr><tr class="b"><td>Avoid empty catch blocks</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConnectorSelectionDialog.html#L343">343</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ConnectorSelectionDialog.html#L345">345</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ContainerDialog.java<a name="orgeclipsepapyrusdesignercomponentstransformationuidialogsContainerDialog.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Avoid empty if statements</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ContainerDialog.html#L86">86</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ContainerDialog.html#L88">88</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ContainerDialog.html#L191">191</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ContainerDialog.html#L191">191</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ContainerDialog.html#L192">192</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ContainerDialog.html#L194">194</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ContainerDialog.html#L290">290</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/dialogs/ContainerDialog.html#L290">290</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/transformation/ui/handlers/ConfigurePortHandler.java<a name="orgeclipsepapyrusdesignercomponentstransformationuihandlersConfigurePortHandler.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/handlers/ConfigurePortHandler.html#L39">39</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/handlers/ConfigurePortHandler.html#L40">40</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/transformation/ui/handlers/SelectConnectorHandler.java<a name="orgeclipsepapyrusdesignercomponentstransformationuihandlersSelectConnectorHandler.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/handlers/SelectConnectorHandler.html#L41">41</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/handlers/SelectConnectorHandler.html#L41">41</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/handlers/SelectConnectorHandler.html#L75">75</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/handlers/SelectConnectorHandler.html#L75">75</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/transformation/ui/handlers/SelectContainerHandler.java<a name="orgeclipsepapyrusdesignercomponentstransformationuihandlersSelectContainerHandler.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/handlers/SelectContainerHandler.html#L40">40</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/handlers/SelectContainerHandler.html#L41">41</a></td></tr><tr class="a"><td>Avoid empty if statements</td><td><a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/handlers/SelectContainerHandler.html#L99">99</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/transformation/ui/handlers/SelectContainerHandler.html#L118">118</a></td></tr></table></div></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;  All Rights Reserved.      
            
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
